------------------------------------------------------------------------------
--                                                                          --
--                An Ada2005 binding to the Qt C++ framework                --
--                                                                          --
------------------------------------------------------------------------------
--                                                                          --
-- Copyright © 2008 Vadim Godunko <vgodunko@gmail.com>                      --
--                                                                          --
-- QtAda is free software;  you can  redistribute it and/or modify it under --
-- terms of the  GNU General Public License as published  by the Free Soft- --
-- ware  Foundation;  either version 2,  or (at your option) any later ver- --
-- sion. QtAda is distributed in the hope that it will be useful, but WITH- --
-- OUT ANY WARRANTY;  without even the  implied warranty of MERCHANTABILITY --
-- or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License --
-- for  more details.  You should have  received  a copy of the GNU General --
-- Public License distributed with QtAda;  see file COPYING.  If not, write --
-- to  the  Free Software Foundation,  51  Franklin  Street,  Fifth  Floor, --
-- Boston, MA 02110-1301, USA.                                              --
--                                                                          --
-- As a special exception,  if other files  instantiate  generics from this --
-- unit, or you link  this unit with other files  to produce an executable, --
-- this  unit  does not  by itself cause  the resulting  executable  to  be --
-- covered  by the  GNU  General  Public  License.  This exception does not --
-- however invalidate  any other reasons why  the executable file  might be --
-- covered by the  GNU Public License.                                      --
--                                                                          --
------------------------------------------------------------------------------
--    This file has been generated automatically. Please don't edit it.     --
------------------------------------------------------------------------------
with Qt_Ada.Internals.Objects;

with Qt_Ada.Internals.Objects.Double_Spin_Box_Proxies;
pragma Warnings (Off, Qt_Ada.Internals.Objects.Double_Spin_Box_Proxies);
--  Elaboration of the proxy tagged type package register proxy object
--  constructor. Bindings must be able to create proxy object of the
--  corresponding tagged type for works properly.

package body Qt4.Double_Spin_Boxes is

   procedure cleanText_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Returns : not null access Qt4.Strings.Internals.QString);
   pragma Import (C, cleanText_0_wrapper,
                     "__Qt4Ada_QDoubleSpinBox_cleanText_0_wrapper");

   function decimals_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject)
       return Qt4.Q_Integer;
   pragma Import (C, decimals_0_wrapper,
                     "__Qt4Ada_QDoubleSpinBox_decimals_0_wrapper");

   function maximum_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject)
       return Qt4.Q_Real;
   pragma Import (C, maximum_0_wrapper,
                     "__Qt4Ada_QDoubleSpinBox_maximum_0_wrapper");

   function minimum_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject)
       return Qt4.Q_Real;
   pragma Import (C, minimum_0_wrapper,
                     "__Qt4Ada_QDoubleSpinBox_minimum_0_wrapper");

   procedure prefix_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Returns : not null access Qt4.Strings.Internals.QString);
   pragma Import (C, prefix_0_wrapper,
                     "__Qt4Ada_QDoubleSpinBox_prefix_0_wrapper");

   procedure setDecimals_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Prec : Qt4.Q_Integer);
   pragma Import (C, setDecimals_0_wrapper,
                     "__Qt4Ada_QDoubleSpinBox_setDecimals_0_wrapper");

   procedure setMaximum_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Max : Qt4.Q_Real);
   pragma Import (C, setMaximum_0_wrapper,
                     "__Qt4Ada_QDoubleSpinBox_setMaximum_0_wrapper");

   procedure setMinimum_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Min : Qt4.Q_Real);
   pragma Import (C, setMinimum_0_wrapper,
                     "__Qt4Ada_QDoubleSpinBox_setMinimum_0_wrapper");

   procedure setPrefix_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Prefix : not null access constant Qt4.Strings.Internals.QString);
   pragma Import (C, setPrefix_0_wrapper,
                     "__Qt4Ada_QDoubleSpinBox_setPrefix_0_wrapper");

   procedure setRange_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Min : Qt4.Q_Real;
     Max : Qt4.Q_Real);
   pragma Import (C, setRange_0_wrapper,
                     "__Qt4Ada_QDoubleSpinBox_setRange_0_wrapper");

   procedure setSingleStep_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Val : Qt4.Q_Real);
   pragma Import (C, setSingleStep_0_wrapper,
                     "__Qt4Ada_QDoubleSpinBox_setSingleStep_0_wrapper");

   procedure setSuffix_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Suffix : not null access constant Qt4.Strings.Internals.QString);
   pragma Import (C, setSuffix_0_wrapper,
                     "__Qt4Ada_QDoubleSpinBox_setSuffix_0_wrapper");

   function singleStep_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject)
       return Qt4.Q_Real;
   pragma Import (C, singleStep_0_wrapper,
                     "__Qt4Ada_QDoubleSpinBox_singleStep_0_wrapper");

   procedure suffix_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Returns : not null access Qt4.Strings.Internals.QString);
   pragma Import (C, suffix_0_wrapper,
                     "__Qt4Ada_QDoubleSpinBox_suffix_0_wrapper");

   function value_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject)
       return Qt4.Q_Real;
   pragma Import (C, value_0_wrapper,
                     "__Qt4Ada_QDoubleSpinBox_value_0_wrapper");

   procedure setValue_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Val : Qt4.Q_Real);
   pragma Import (C, setValue_0_wrapper,
                     "__Qt4Ada_QDoubleSpinBox_setValue_0_wrapper");

   pragma Style_Checks ("N");

   ----------------
   -- Clean_Text --
   ----------------

   function Clean_Text
    (Self : not null access constant Q_Double_Spin_Box'Class)
       return Qt4.Strings.Q_String
   is
      Returns : Qt4.Strings.Q_String;

   begin
      cleanText_0_wrapper
       (Self.QObject_View,
        Qt4.Strings.Internals.QString_View (Returns));

      return Returns;
   end Clean_Text;

   --------------
   -- Decimals --
   --------------

   function Decimals
    (Self : not null access constant Q_Double_Spin_Box'Class)
       return Qt4.Q_Integer
   is
   begin
      return
        decimals_0_wrapper
         (Self.QObject_View);
   end Decimals;

   -------------
   -- Maximum --
   -------------

   function Maximum
    (Self : not null access constant Q_Double_Spin_Box'Class)
       return Qt4.Q_Real
   is
   begin
      return
        maximum_0_wrapper
         (Self.QObject_View);
   end Maximum;

   -------------
   -- Minimum --
   -------------

   function Minimum
    (Self : not null access constant Q_Double_Spin_Box'Class)
       return Qt4.Q_Real
   is
   begin
      return
        minimum_0_wrapper
         (Self.QObject_View);
   end Minimum;

   ------------
   -- Prefix --
   ------------

   function Prefix
    (Self : not null access constant Q_Double_Spin_Box'Class)
       return Qt4.Strings.Q_String
   is
      Returns : Qt4.Strings.Q_String;

   begin
      prefix_0_wrapper
       (Self.QObject_View,
        Qt4.Strings.Internals.QString_View (Returns));

      return Returns;
   end Prefix;

   ------------------
   -- Set_Decimals --
   ------------------

   procedure Set_Decimals
    (Self : not null access Q_Double_Spin_Box'Class;
     Prec : Qt4.Q_Integer)
   is
   begin
      setDecimals_0_wrapper
       (Self.QObject_View,
        Prec);
   end Set_Decimals;

   -----------------
   -- Set_Maximum --
   -----------------

   procedure Set_Maximum
    (Self : not null access Q_Double_Spin_Box'Class;
     Max : Qt4.Q_Real)
   is
   begin
      setMaximum_0_wrapper
       (Self.QObject_View,
        Max);
   end Set_Maximum;

   -----------------
   -- Set_Minimum --
   -----------------

   procedure Set_Minimum
    (Self : not null access Q_Double_Spin_Box'Class;
     Min : Qt4.Q_Real)
   is
   begin
      setMinimum_0_wrapper
       (Self.QObject_View,
        Min);
   end Set_Minimum;

   ----------------
   -- Set_Prefix --
   ----------------

   procedure Set_Prefix
    (Self : not null access Q_Double_Spin_Box'Class;
     Prefix : Qt4.Strings.Q_String)
   is
   begin
      setPrefix_0_wrapper
       (Self.QObject_View,
        Qt4.Strings.Internals.QString_View (Prefix));
   end Set_Prefix;

   ---------------
   -- Set_Range --
   ---------------

   procedure Set_Range
    (Self : not null access Q_Double_Spin_Box'Class;
     Min : Qt4.Q_Real;
     Max : Qt4.Q_Real)
   is
   begin
      setRange_0_wrapper
       (Self.QObject_View,
        Min,
        Max);
   end Set_Range;

   ---------------------
   -- Set_Single_Step --
   ---------------------

   procedure Set_Single_Step
    (Self : not null access Q_Double_Spin_Box'Class;
     Val : Qt4.Q_Real)
   is
   begin
      setSingleStep_0_wrapper
       (Self.QObject_View,
        Val);
   end Set_Single_Step;

   ----------------
   -- Set_Suffix --
   ----------------

   procedure Set_Suffix
    (Self : not null access Q_Double_Spin_Box'Class;
     Suffix : Qt4.Strings.Q_String)
   is
   begin
      setSuffix_0_wrapper
       (Self.QObject_View,
        Qt4.Strings.Internals.QString_View (Suffix));
   end Set_Suffix;

   -----------------
   -- Single_Step --
   -----------------

   function Single_Step
    (Self : not null access constant Q_Double_Spin_Box'Class)
       return Qt4.Q_Real
   is
   begin
      return
        singleStep_0_wrapper
         (Self.QObject_View);
   end Single_Step;

   ------------
   -- Suffix --
   ------------

   function Suffix
    (Self : not null access constant Q_Double_Spin_Box'Class)
       return Qt4.Strings.Q_String
   is
      Returns : Qt4.Strings.Q_String;

   begin
      suffix_0_wrapper
       (Self.QObject_View,
        Qt4.Strings.Internals.QString_View (Returns));

      return Returns;
   end Suffix;

   -----------
   -- Value --
   -----------

   function Value
    (Self : not null access constant Q_Double_Spin_Box'Class)
       return Qt4.Q_Real
   is
   begin
      return
        value_0_wrapper
         (Self.QObject_View);
   end Value;

   ---------------
   -- Set_Value --
   ---------------

   procedure Set_Value
    (Self : not null access Q_Double_Spin_Box'Class;
     Val : Qt4.Q_Real)
   is
   begin
      setValue_0_wrapper
       (Self.QObject_View,
        Val);
   end Set_Value;

end Qt4.Double_Spin_Boxes;
